### Hierarchy

- AIListComponent

### Implements

- OnInit

## Index

### Inputs

- emptyState
- hasSearch
- isFullHeight
- items
- itemsDraggable
- selectionType
- title
- draggedItem
- isDragging

### Outputs

- draggedItemChange
- isDraggingChange
- onSearch

### Constructors

- constructor

### Properties

- _draggedItem
- _isDragging
- draggedItemChange
- emptyState
- hasSearch
- iconService
- isDraggingChange
- isFullHeight
- items
- itemsDraggable
- onSearch
- searchString
- selectionType
- title

### Accessors

- draggedItem
- isDragging

### Methods

- getAdjustedNestingLevel
- handleDragEnd
- handleDragOver
- handleDragStart
- handleDrop
- handleSearch
- handleSelect
- isArray
- isTemplate
- ngOnInit
- onSingleSelect
- updateChildSelectedStates
- updateParentSelectedStates

## Constructors

### constructor

- new AIListComponent(iconService: IconService): AIListComponent

- - Defined in packages/angular/src/list/ai-list.component.ts:188

  #### Parameters

  - ##### iconService: IconService

  #### Returns AIListComponent

## Properties

### Protected _draggedItem

_draggedItem: AIListItem = null

- Defined in packages/angular/src/list/ai-list.component.ts:188

### Protected _isDragging

_isDragging: boolean = false

- Defined in packages/angular/src/list/ai-list.component.ts:187

### draggedItemChange

@Output()
draggedItemChange: EventEmitter<AIListItem> = ...

- Defined in packages/angular/src/list/ai-list.component.ts:183

### emptyState

@Input()
emptyState: any = 'No list items to show'

- Defined in packages/angular/src/list/ai-list.component.ts:175

Text that is displayed when list is empty. To change the default icon with the text, this can also be set to a `TemplateRef`.

The reason we are using type `any` instead of `string | TemplateRef<any>`, which is the only two types that should be accepted, is because passing `emptyState` into `ngTemplateOutlet` would cause the error: `Type 'string | TemplateRef<any>' is not assignable to type 'TemplateRef<any>'` to come up while building.

### hasSearch

@Input()
hasSearch: boolean = false

- Defined in packages/angular/src/list/ai-list.component.ts:156

Indicates whether a search bar should be rendered in the list header.

### Protected iconService

iconService: IconService

### isDraggingChange

@Output()
isDraggingChange: EventEmitter<boolean> = ...

- Defined in packages/angular/src/list/ai-list.component.ts:182

### isFullHeight

@Input()
isFullHeight: boolean = false

- Defined in packages/angular/src/list/ai-list.component.ts:163

### items

@Input()
items: AIListItem[]

- Defined in packages/angular/src/list/ai-list.component.ts:114

### itemsDraggable

@Input()
itemsDraggable: boolean

- Defined in packages/angular/src/list/ai-list.component.ts:121

Indicates whether or not items in the list can be dragged into new positions.

### onSearch

@Output()
onSearch: EventEmitter<string> = ...

- Defined in packages/angular/src/list/ai-list.component.ts:180

If a `hasSearch` is true, this is emitted when search value is changed.

### searchString

searchString: string = ''

- Defined in packages/angular/src/list/ai-list.component.ts:185

### selectionType

@Input()
selectionType: SelectionType

- Defined in packages/angular/src/list/ai-list.component.ts:116

### title

@Input()
title: string

- Defined in packages/angular/src/list/ai-list.component.ts:161

Title to be displayed on the list header.

## Accessors

### draggedItem

@Input()

- get draggedItem(): AIListItem
- set draggedItem(draggedItem: AIListItem): void

- - Defined in packages/angular/src/list/ai-list.component.ts:149

  #### Returns AIListItem

- - Defined in packages/angular/src/list/ai-list.component.ts:138

  #### Parameters

  - ##### draggedItem: AIListItem

  #### Returns void

### isDragging

@Input()

- get isDragging(): boolean
- set isDragging(isDragging: boolean): void

- - Defined in packages/angular/src/list/ai-list.component.ts:134

  #### Returns boolean

- - Defined in packages/angular/src/list/ai-list.component.ts:123

  #### Parameters

  - ##### isDragging: boolean

  #### Returns void

## Methods

### getAdjustedNestingLevel

- getAdjustedNestingLevel(items: AIListItem[], currentDepth: number): number

- - Defined in packages/angular/src/list/ai-list.component.ts:261

  This function returns the adjusted `nestingLevel`s of an AIListItem.

  #### Parameters

  - ##### items: AIListItem[]

  - ##### currentDepth: number

  #### Returns number

### handleDragEnd

- handleDragEnd(dragEvent: DragEvent, item: AIListItem, parent: AIListItem): void

- - Defined in packages/angular/src/list/ai-list.component.ts:201

  #### Parameters

  - ##### dragEvent: DragEvent

  - ##### item: AIListItem

  - ##### parent: AIListItem

  #### Returns void

### handleDragOver

- handleDragOver(dragEvent: DragEvent, receiver: AIListItem): void

- - Defined in packages/angular/src/list/ai-list.component.ts:221

  #### Parameters

  - ##### dragEvent: DragEvent

  - ##### receiver: AIListItem

  #### Returns void

### handleDragStart

- handleDragStart(item: AIListItem): void

- - Defined in packages/angular/src/list/ai-list.component.ts:196

  #### Parameters

  - ##### item: AIListItem

  #### Returns void

### handleDrop

- handleDrop(receiver: AIListItem, index: number): void

- - Defined in packages/angular/src/list/ai-list.component.ts:234

  #### Parameters

  - ##### receiver: AIListItem

  - ##### index: number

  #### Returns void

### handleSearch

- handleSearch(searchString: string): void

- - Defined in packages/angular/src/list/ai-list.component.ts:253

  #### Parameters

  - ##### searchString: string

  #### Returns void

### handleSelect

- handleSelect(selectedItem: AIListItem): void

- - Defined in packages/angular/src/list/ai-list.component.ts:244

  #### Parameters

  - ##### selectedItem: AIListItem

  #### Returns void

### isArray

- isArray(obj: any): boolean

- - Defined in packages/angular/src/list/ai-list.component.ts:265

  #### Parameters

  - ##### obj: any

  #### Returns boolean

### isTemplate

- isTemplate(value: any): boolean

- - Defined in packages/angular/src/list/ai-list.component.ts:269

  #### Parameters

  - ##### value: any

  #### Returns boolean

### ngOnInit

- ngOnInit(): void

- - Defined in packages/angular/src/list/ai-list.component.ts:192

  #### Returns void

### Protected onSingleSelect

- onSingleSelect(items: AIListItem[], selectedId: string): void

- - Defined in packages/angular/src/list/ai-list.component.ts:307

  #### Parameters

  - ##### items: AIListItem[]

  - ##### selectedId: string

  #### Returns void

### Protected updateChildSelectedStates

- updateChildSelectedStates(selectedItem: AIListItem): void

- - Defined in packages/angular/src/list/ai-list.component.ts:273

  #### Parameters

  - ##### selectedItem: AIListItem

  #### Returns void

### Protected updateParentSelectedStates

- updateParentSelectedStates(items: AIListItem[]): void

- - Defined in packages/angular/src/list/ai-list.component.ts:284

  #### Parameters

  - ##### items: AIListItem[]

  #### Returns void

Generated using TypeDoc